Retrieve all deals.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/crm/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/crm/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/crm/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"Amount": 0,
"DueDate": "string",
"AssignedToPersonClientIdentifier": "string",
"Weight": 0,
"DealPipelineStage": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Weight": 0,
"Name": "string",
"DealPipeline": {},
"Deals": []
},
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"DealPeople": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Deal": {}
}
],
"Contacts": "string",
"AccountId": 0,
"Owner": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"PipelineUid": "string"
}
]Deals
Retrieve all deals.
Returns the deals associated with your account.
GET
/
api
/
v1
/
crm
/
deals
Retrieve all deals.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Query Parameters
Uid of the owner of the deal, or -1 for unassigned deals and -2 for all assigned deals.
Match on the deal name, the pipeline stage name, or the account name.
Response
Minimum string length:
1Minimum string length:
1Required string length:
1 - 250Maximum string length:
10Show child attributes
Show child attributes
Maximum string length:
50Show child attributes
Show child attributes
Circular reference to Account (not expanded here).
Circular reference to Person (not expanded here).
Example:
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"Amount": 0,
"DueDate": "string",
"AssignedToPersonClientIdentifier": "string",
"Weight": 0,
"DealPipelineStage": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Weight": 0,
"Name": "string",
"DealPipeline": {},
"Deals": []
},
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"DealPeople": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Deal": {}
}
],
"Contacts": "string",
"AccountId": 0,
"Owner": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"PipelineUid": "string"
}
]
⌘I